import Cookies from 'js-cookie'

export default [
  {handler: setCoverLetterRolloutCookie},
  {handler: setSkillsRolloutCookie},
  {handler: setAddCvUploadCookie}
]

/**
 * Cv Cover Letter feature flag
 */
async function setCoverLetterRolloutCookie(pde) {
  const data = pde.isFeatureEnabled({
    featureKey: 'ff_ij_be_cv_cover_letter'
  })

  Cookies.set('ijreactcvcoverletter', data.isActive ? '1' : '0', {expires: 60})
}

/**
 * Cv Skills feature flag
 */
async function setSkillsRolloutCookie(pde) {
  const data = pde.isFeatureEnabled({
    featureKey: 'ff_ij_be_cv_skills'
  })

  Cookies.set('ijreactcvskills', data.isActive ? '1' : '0', {expires: 60})
}

/**
 * Cv Add Upload Cv feature flag
 */
async function setAddCvUploadCookie(pde) {
  const data = pde.isFeatureEnabled({
    featureKey: 'ff_web_add_cv_signup'
  })

  Cookies.set('ijreactaddcvsignup', data.isActive ? '1' : '0', {expires: 60})
}
